# Variables hydrauliques

## Largeur au miroir B

#### Section rectangulaire
\(B=L\)

\(B'=\dfrac{dB}{dy}=0\)

#### Section circulaire
\(B=D\sin\theta\)

\(B'=\dfrac{dB}{dy}=D.\theta'\cos\theta\)

#### Section trapézoïdale
\(B=L+2..m.y\)

\(B'=\dfrac{dB}{dy}=2.L.m\)

#### Section parabolique
\(B=\dfrac{B_b}{y_b^k}y^k\)

\(B'=\dfrac{dB}{dy}=\dfrac{B_b.k}{y_b^k}y^{k-1}\)

## Périmètre mouillé P

#### Section rectangulaire
\(P=L+2y\)

\(P'=\dfrac{dP}{dy}=2\)

#### Section circulaire
\(P=D.\theta\)

\(P'=\dfrac{dP}{dy}=D.\theta'\)

#### Section trapézoïdale
\(P=L+2y\sqrt{1+m^2}\)

\(P'=\dfrac{dP}{dy}=2\sqrt{1+m^2}\)

#### Section parabolique
\(P=2\sum _{i=1}^{n}\sqrt{\dfrac{1}{n^2}+\dfrac{1}{4}\left( B\left(\dfrac{i.y}{n}\right)-B\left(\dfrac{(i-1).y}{n}\right) \right)^2}\) pour n suffisamment grand

\(P'=\dfrac{dP}{dy}=2\sqrt{1+\left(\dfrac{B'}{2} \right )^2}\)

## Surface mouillée S

#### Section rectangulaire
\(S=L.y\)

\(S'=\dfrac{dS}{dy}=B\)

#### Section circulaire
\(S=\dfrac{D^2}{4} \left(\theta - \sin\theta.\cos\theta \right)\)

\(S'=\dfrac{dS}{dy}=B\)

#### Section trapézoïdale
\(S=(L+m.y)y\)

\(S'=\dfrac{dS}{dy}=B\)

#### Section parabolique
\(S=\dfrac{B_b}{y_b^k}\dfrac{y^{k+1}}{k+1}\)

\(S'=\dfrac{dS}{dy}=B\)

## Rayon hydraulique R

\(\dfrac{S}{P}\)

## Froude Fr

\(Fr=\dfrac{U}{c}=\sqrt{\dfrac{Q^2 B}{g S^3}}\)


## Vitesse moyenne V

\(V=\dfrac{Q}{S}\)

## Tirant d'eau normal Yn

La hauteur normale est atteinte quand la ligne d’eau est parallèle au fond, la charge est alors elle-même parallèle à la ligne d’eau et donc la perte de charge est égale à la pente du fond&nbsp;: \(If=J\)

Avec&nbsp;:

 * \(I_f\)&nbsp;: la pente du fond (en m/m)
 * \(J\)&nbsp;: la perte de charge (en m/m )

Pour calculer la hauteur normale \(Y_n\), on peut résoudre

\(f(Y_n)=Q-KR^{2/3}S\sqrt{I_f}=0\)

en utilisant la méthode de Newton&nbsp;:

\(h_{k+1} = h_k - \dfrac{f(h_k)}{f'(h_k)}\)

avec&nbsp;:

 * \(f(h_k) = Q-KR^{2/3}S\sqrt{I_f}\)
 * \(f'(h_k) = -K \sqrt{I_f}(\dfrac{2}{3}R'R^{-1/3}S+R^{2/3}S')\)


## Tirant d'eau critique Yc

La hauteur critique est atteinte quand le nombre de Froude \(Fr=1\).

\(f(Y_c)=Fr^2-1=0\)

On utilise la méthode de Newton en posant

\(h_{k+1} = h_k - \dfrac{f(h_k)}{f'(h_k)}\)

avec&nbsp;:

 * \(f(h_k) = \dfrac{Q^2 B}{g S^3} - 1\)
 * \(f'(h_k) = \dfrac{Q^2}{g} \dfrac{B'.S - 3 B S'}{S^4}\)

## Tirant d'eau correspondant Ycor

## Tirant d'eau conjugué Ycon

## Charge spécifique Hs

\(H_s = \dfrac{V^{2}}{2g}\)

## Charge critique Hsc

\(H_{sc} = Y_c + \dfrac{V(Y_c)^{2}}{2g}\)

## Perte de charge J

La perte de charge \(J\) est calculée avec la formule de Manning-Strickler&nbsp;:

\(J=\dfrac{U^2}{K^{2}R^{4/3}}=\dfrac{Q^2}{S^2K^{2}R^{4/3}}\)


Avec \(K\) le coefficient de Strickler (en \(m^{1/3}/s\))

## Variation linéaire de l'énergie spécifique I-J

## Impulsion Imp

C'est la somme de la quantité de mouvement et de la résultante de la force de pression dans une section&nbsp;:

\(I=\rho Q U + \rho g S \overline{h}\)

Avec&nbsp;:

 * \(I\)&nbsp;: l'impulsion (kg.m.s-2)
 * \(\rho\)&nbsp;: la masse volumique de l'eau (kg/m3)
 * \(Q\)&nbsp;: le débit (m3.s-1)
 * \(V\)&nbsp;: la vitesse moyenne du fluide dans la section (m.s-1)
 * \(g\)&nbsp;: la constante de gravité (m.s-2)
 * \(S\)&nbsp;: la surface mouillée (m2)
 * \(\overline{h}\)&nbsp;: la distance du centre de gravité de la section à la surface libre (m)

La distance du centre de gravité de la section à la surface libre \(\overline{h}\) peut se retrouver à partir de la formule&nbsp;:

\(S.\overline{h} = \int_{0}^{y} (y-z)B(z)dz\)

Avec \(y\) le tirant d'eau et \(B(z)\) la largeur au miroir pour un tirant d'eau \(z\)

#### Section rectangulaire

\(S.h = \dfrac{L.y^2}{2}\)

#### Section circulaire

\(S.h = \dfrac{D^3}{8}\left (\sin\theta - \dfrac{\sin^3\theta}{3} - \theta \cos\theta \right )\)

#### Section trapézoïdale

\(S.h = \left (\dfrac{L}{2} + \dfrac{m.y}{3} \right )y^2\)

#### Section parabolique

\(S.h=\dfrac{B_b.y^{k+2}}{y_b^k(k+1)(k+2)}\)

## Force tractrice Tau0
