import { RemousResults } from "../../results/remous-results";
import { FormResult } from "./form-result";
import { FormulaireDefinition } from "./form-definition";
import { CalculatorResults } from "../../results/calculator-results";

export class FormResultRemous extends FormResult {

    /**
     * résultats de courbes de remous
     */
    private _remousResults: RemousResults;

    constructor(base: FormulaireDefinition) {
        super();
        this._remousResults = new RemousResults();
    }

    public get remousResults() {
        return this._remousResults;
    }

    public resetResults() {
        this._remousResults.reset();
    }

    public get hasResults(): boolean {
        return this._remousResults.hasResults;
    }

    public get results(): CalculatorResults[] {
        // ensure help links are propagated
        this._remousResults.helpLinks = this.helpLinks;
        return [ this._remousResults ];
    }
}
